Author Topic: Form Modul 3.1.4  (Read 488 times)

Offline biker

  • Posts: 468
  • take it easy
Form Modul 3.1.4
« on: September 22, 2017, 01:42:42 PM »
Hallo
Ich habe das Form Modul 3.1.4 installiert. Dieses meldet nach dem Senden folgenden Fehler:
Quote
SMTP connect() failed. https://github.com/PHPMailer/PHPMailer/wiki/Troubleshooting
Scheinbar ist das Formular schon längere Zeit nicht mehr am funktionieren. Deinstallieren und neu installieren? Grundsätzlich auch die Frage ist dies überhaupt noch das richtige Modul für Formulare-habe irgendwie das Gefühl, da gab es irgendwas mal mit Sicherheitsupdates im Frühjahr/Winter?
biker
gruess urs

Offline jacobi22

  • Posts: 5566
  • Gender: Male
  • Support also via PM or EMail
    • Jacobi22
Re: Form Modul 3.1.4
« Reply #1 on: September 22, 2017, 01:50:18 PM »
die Meldung besagt, das die in den WB-Optionen eingetragenen SMTP-Zugangsdaten falsch sind oder der SMTP-server nicht erreichbar ist.

Sicherheitsprobleme gab es da für die älteren WB-Versionen im PHP-Mailer (trifft nicht auf WB 2.10.0 zu) und für die Frontend-Anmeldung bzw. -registrierung. Ein Fix für Letzteres ist im aktuellen WB-Paket enthalten. Und wenn bei dir WB 2.10.1 im Backend oben rechts steht, dann auch in deiner WB-Version
Probleme sind da, um sie zu lösen, nicht, um nach Ausreden zu suchen.

Offline hgs

  • Betatester
  • **
  • Posts: 995
    • EFG MG
Re: Form Modul 3.1.4
« Reply #2 on: September 22, 2017, 02:05:09 PM »
Tritt der Fehler auch auf, wenn du auf phpMailer im BE umschaltest.
Die Version 3.1.4 ist mit der aktuellen Version von WebsiteBaker2.10 ausgerollt worden.
Da haben wir eigendlich alles durchgetestet.
Oder hast du aus dem Repro die Version 1.3.4 auf eine WB-Version kleiner WB 2.10 installiert?

LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline jacobi22

  • Posts: 5566
  • Gender: Male
  • Support also via PM or EMail
    • Jacobi22
Re: Form Modul 3.1.4
« Reply #3 on: September 22, 2017, 02:14:00 PM »
Tritt der Fehler auch auf, wenn du auf phpMailer im BE umschaltest.

der Fehler kann dann nicht auftreten, weil es dann nicht mehr SMTP ist. Netterweise ist auch ein Link dabei, der es erklärt

It means that PHPMailer is unable to contact the SMTP server you have specified in the Host property, but doesn't say exactly why. It can also be caused by not having the openssl extension loaded (See encryption notes below).

die korrekten Zugangsdaten wie auch der korrekte Port sind beim Anbieter zu erfragen. Ich mußte z.b. bei mir SSL erst beantragen, kann nun aber auch nur SSL, kein TLS mehr
Probleme sind da, um sie zu lösen, nicht, um nach Ausreden zu suchen.